import { Component, inject, OnInit } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-about',
  standalone: true,
  imports: [],
  templateUrl: './about.component.html',
  styleUrl: './about.component.css'
})
export class AboutComponent implements OnInit{

  description = ""

  ngOnInit(): void {
    this.description = "About us page"
  }

  private router = inject(Router)

  testRouteNavigate(){
    this.router.navigate(['/testRoute', {param1: 'test hello', param2: 'test param 2'}])
  }
  
}
